import MD5 from "js-md5";

export const YYYYMMDDHHmmss = "YYYY-MM-DD HH:mm:ss";
export const PLATFORM = "WEB";

if (!localStorage.getItem("deviceId")) {
  localStorage.setItem("deviceId", MD5(Math.random() + "-" + Date.now()));
}
export const DEVICE_ID = localStorage.getItem("deviceId");

export const PROJECT_STATUS = [
  {
    name: "未开始",
    code: "NONE",
  },
  {
    name: "进行中",
    code: "PROCESSING",
  },
  {
    name: "已完成",
    code: "FINISH",
  },
  {
    name: "任务失败",
    code: "FAIL",
  },
  {
    name: "停止中",
    code: "STOPING",
  },
];
